package jp.riken.plot2d.renderer;

import java.awt.*;

public class RenderingContext {

    private int width;
    private int height;

    private Color backgroundColor;
    private Color frameColor;

    private double ratioImageInitX;
    private double ratioImageTermX;
    private double ratioImageInitY;
    private double ratioImageTermY;

    public RenderingContext() {
        backgroundColor = Color.WHITE;
        frameColor = Color.BLACK;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public Color getBackgroundColor() {
        return backgroundColor;
    }

    public void setBackgroundColor(Color backgroundColor) {
        this.backgroundColor = backgroundColor;
    }

    public Color getFrameColor() {
        return frameColor;
    }

    public void setFrameColor(Color frameColor) {
        this.frameColor = frameColor;
    }

    public double getRatioImageInitX() {
        return ratioImageInitX;
    }

    public void setRatioImageInitX(double ratioImageInitX) {
        this.ratioImageInitX = ratioImageInitX;
    }

    public double getRatioImageTermX() {
        return ratioImageTermX;
    }

    public void setRatioImageTermX(double ratioImageTermX) {
        this.ratioImageTermX = ratioImageTermX;
    }

    public double getRatioImageInitY() {
        return ratioImageInitY;
    }

    public void setRatioImageInitY(double ratioImageInitY) {
        this.ratioImageInitY = ratioImageInitY;
    }

    public double getRatioImageTermY() {
        return ratioImageTermY;
    }

    public void setRatioImageTermY(double ratioImageTermY) {
        this.ratioImageTermY = ratioImageTermY;
    }

    public double getImageInitX() {
        return width * ratioImageInitX;
    }

    public double getImageTermX() {
        return width * ratioImageTermX;
    }

    public double getImageInitY() {
        return height * ratioImageInitY;
    }

    public double getImageTermY() {
        return height * ratioImageTermY;
    }
}
